/*

	File:		BuildConditionals.h
	Project:	Sample code for Sprocket Framework 1.1 fc1 of 5/22/96
	Contains:	Defines used to control what capabilities are built
	To Do:		Whatever your heart desires

	Sprocket Major Contributors:
	----------------------------
	Dave Falkenburg, producer of Sprocket 1.0
	Bill Hayden,	 producer of Sprocket 1.1
	Steve Sisak,	 producer of the upcoming Sprocket 2.0
	
	Pete Alexander		Steve Falkenburg		Randy Thelen
	Eric Berdahl		Nitin Ganatra			Leonard Rosenthal
	Marshall Clow		Dave Hershey			Dean Yu
	Tim Craycroft		Dave Mark				
	David denBoer		Gary Powell
	Cameron Esfahani	Jon Summers				Apple Computer, Inc.
		
	Comments, Additions, or Corrections:
	------------------------------------
	Bill Hayden, Nikol Software <nikol@codewell.com>

*/

#ifndef	_BUILDCONDITIONALS_
#define	_BUILDCONDITIONALS_


// For use with Universal Headers 2.x

#define SystemSevenFiveOrLater				0
#define	SystemSevenOrLater					1


// For use with Universal Headers 3.x

// Define ONE of the following:
// ----------------------------
// BUILDING_FOR_SYSTEM7				- Code is intended to run on System 7.x machine.
// BUILDING_FOR_SYSTEM7_AND_SYSTEM8	- Code is intended to run on System 7 or Copland.
// BUILDING_FOR_SYSTEM8				- Code is intended to run on Copland only.
// BUILDING_PREEMPTIVE_CODE			- Code is intended to run as Copland server or driver.

// Defining none of them will default it to BUILDING_FOR_SYSTEM7_AND_SYSTEM8.

//  At this point, Sprocket does NOT support BUILDING_FOR_SYSTEM8 or BUILDING_PREEMPTIVE_CODE. 

#ifndef powerc
	#define BUILDING_FOR_SYSTEM7
#else
//	#define BUILDING_FOR_SYSTEM7
	#define BUILDING_FOR_SYSTEM7_AND_SYSTEM8
#endif


#define OLDROUTINENAMES						0
#define OLDROUTINELOCATIONS					0
#define CGLUESUPPORTED						0


#ifndef	qDebug
#define	qDebug								1
#endif

#ifndef	qAOCEAware
#define	qAOCEAware							0
#endif

#ifndef	qUseQuickDrawGX
#define	qUseQuickDrawGX						1
#define	qRequireDrawGX						0
#define	qUseQuickDrawGXDebugging			0
#endif

#ifndef	qRequireThreadManager
#define	qRequireThreadManager				0
#endif

#ifndef	qInlineInputAware
#define	qInlineInputAware					0
#endif

#endif
